<back to all web services

TemplateMarkupRequest

The following routes are available for this service:
POST/RestApi/markup/templates
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class TemplateMarkupRequest
{
    open var Keys:ArrayList<String>? = null
}

open class TemplateMarkupResponseCollection
{
    open var Items:IList<TemplateMarkupModel>? = null
}

open class TemplateMarkupModel
{
    open var Markup:String? = null
    open var FileName:String? = null
    open var VirtualPath:String? = null
    open var VirtualDirectory:String? = null
}

Kotlin TemplateMarkupRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/markup/templates HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{}